@font-face {
    font-family: "RumRaisin";
    src: url("./assets/RumRaisin-Regular.ttf");
}

@font-face {
    font-family: "MyriadPro";
    src: url("./assets/MyriadPro-Regular.otf");
}

@font-face {
    font-family: "NoMove";
    src: url("./assets/No-move.ttf");
}

html {
    height: 100vh;
    overflow: hidden;
}

body {
    margin: 0;
    height: 100%;
    overflow: hidden;
    overscroll-behavior: contain;
}

#game {
    width: 100%;
    height: 100%;
    display: none;
    /* flex */
    overflow: hidden;
}

#starting,
#playing,
#resolution {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#playing {
    display: none;
}

#starting {
    background-image: url('./assets/background-starting.webp');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    /*background-attachment: fixed;*/
    transition: opacity 0.5s ease;
    -webkit-transition-timing-function:
        cubic-bezier(0.639, 0.222, 0.906, 0.7);
    -moz-transition-timing-function:
        cubic-bezier(0.639, 0.222, 0.906, 0.7);
}

#starting .text {
    width: 50%;
    max-width: 690px;
    margin-top: 8%;
    text-align: center;
}

.title-mobile {
    display: none;
}

h1 {
    font-family: "RumRaisin", sans-serif;
    color: white;
    text-align: center;
    font-size: 3rem;
    line-height: 4rem;
    margin: 0;
    letter-spacing: 2px;
}

h5 {
    display: none;
}

button {
    display: inline-block;
    color: white;
    background-color: #EBAC31;
    border-radius: 100px;
    padding: 12px 90px 10px 90px;
    font-size: 1.5rem;
    border: 0;
    font-family: "MyriadPro", sans-serif;
    margin: 50px auto 0 auto;
    cursor: pointer;
    transition: 0.1s;
    outline: 0;
}

button:hover,
button:focus {
    background-color: #cf9520;
}

.logo1 {
    width: 170px;
    position: fixed;
    left: 65px;
    bottom: 30px;
}

.logo2 {
    width: 200px;
    position: fixed;
    left: 50px;
    bottom: 30px;
}

.background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
}

#playing {
    background-color: #329632;
    background-image: url('./assets/background.png');
    background-position: center center;
    background-repeat: repeat;
    background-size: 100%;
    background-attachment: fixed;
    opacity: 0;
    transition: opacity 0.5s ease;
    -webkit-transition-timing-function:
        cubic-bezier(0.639, 0.222, 0.906, 0.7);
    -moz-transition-timing-function:
        cubic-bezier(0.639, 0.222, 0.906, 0.7);
}

/*#playing:before {
    content: "";
    display: block;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: -10;
    background-color: #A20065;
    background-image: url('./assets/background.png');
    background-position: center center;
    background-repeat: repeat;
    background-size: 100%;
}*/

#box {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
}

#wrap {
    width: 100vw;
    height: 50vw;
    /*border: 1px solid white;*/
    position: relative;
    margin: 0 auto;
}

#arc {
    width: 100%;
    height: 100%;
}

#fruits {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}

.background-drop {
    position: absolute;
    top: 0;
    left: 0;
    width: 3000px;
    height: 100%;
    z-index: -1;
    object-fit: contain;
}

#drop-area {
    width: 55%;
    margin: 0 22.5%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    /*background-color: #A20066;
    background-image: url('./assets/background.png');
    background-position: center center;
    background-repeat: repeat;
    background-size: 100%;
    background-attachment: fixed;*/
    /*border: 1px solid white;*/
}

/*#drop-area:before {
    content: "";
    display: block;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: -10;
    background-color: #A20066;
    background-image: url('./assets/background.webp');
    background-position: center center;
    background-repeat: repeat;
    background-size: 100%;
}*/

#remove {
    width: 6.5%;
    bottom: 0;
    right: 0;
    padding: 3% 0 2% 3%;
    z-index: 10000;
}

#fruits>img,
#drop-area>img {
    position: absolute !important;
    cursor: pointer;
    /*border: 1px solid white;*/
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

#fruits>img:active,
#drop-area>img:active {
    cursor: grabbing;
}

img[id^="i-"] {
    z-index: 15000;
    height: auto !important;
}

img[id^="x-"] {
    /*z-index: 5;*/
    height: auto !important;
}

h6 {
    position: absolute !important;
    bottom: 3%;
    width: 50%;
    left: 25%;
    text-align: center;
    color: white;
    font-size: 1.2rem;
    margin: 0;
    font-family: "MyriadPro", sans-serif;
    z-index: 10;
}

#playing .logo1 {
    position: absolute;
    width: 7%;
    bottom: 2.5%;
    left: 3%;
}

#playing .logo2{
    position: absolute;
    width: 8%;
    bottom: 2%;
    left: 12%;
}

#logo1,
#logo2 {
    width: 10%;
    bottom: 2%;
    z-index: 10000;
    display: none;
}

#logo1 {
    left: 30%;
}

#logo2 {
    right: 30%;
}

#girl,
#boy {
    width: 20%;
    left: 40%;
    bottom: 8%;
    z-index: 5;
}

#boy {
    display: none;
    width: 22%;
    left: 39%;
}

.gender {
    position: absolute;
    width: 4%;
    right: 15%;
    bottom: 2%;
    cursor: pointer;
}

.photo {
    position: absolute;
    width: 4%;
    right: 9.5%;
    bottom: 2%;
    cursor: pointer;
}

.share {
    position: absolute;
    width: 4%;
    right: 4%;
    bottom: 2%;
    cursor: pointer;
}

img[id^="i-"] {
    width: 5% !important;
}
img[id^="x-"] {
    width: calc(5% * 1.818) !important;
}

/* ############################################################### */
/* PROPORCIÓN width i- a x- de 1.818 */
/* ############################################################### */
#i-apple {
    width: 4% !important;
}
img[id^="x-"][id*="i-apple"] {
    width: calc(4% * 1.818) !important;
}

#i-pumpkin {
    width: 6% !important;
}
img[id^="x-"][id*="i-pumpkin"] {
    width: calc(6% * 1.818) !important;
}

#i-bread {
    width: 6% !important;
}
img[id^="x-"][id*="i-bread"] {
    width: calc(6% * 1.818) !important;
}

#i-carrot {
    width: 3% !important;
}
img[id^="x-"][id*="i-carrot"] {
    width: calc(3% * 1.818) !important;
}

#i-cucumber {
    width: 4% !important;
}
img[id^="x-"][id*="i-cucumber"] {
    width: calc(4% * 1.818) !important;
}

#i-lemon {
    width: 4% !important;
}
img[id^="x-"][id*="i-lemon"] {
    width: calc(4% * 1.818) !important;
}

/* ############################################################### */
#i-apple2 {
    width: 3% !important;
}
img[id^="x-"][id*="i-apple2"] {
    width: calc(3% * 1.818) !important;
}

#i-pumpkin2 {
    width: 4% !important;
}
img[id^="x-"][id*="i-pumpkin2"] {
    width: calc(4% * 1.818) !important;
}

#i-bread2 {
    width: 4% !important;
}
img[id^="x-"][id*="i-bread2"] {
    width: calc(4% * 1.818) !important;
}

#i-pepper2 {
    width: 4% !important;
}
img[id^="x-"][id*="i-pepper2"] {
    width: calc(4% * 1.818) !important;
}

#i-onion2 {
    width: 3% !important;
}
img[id^="x-"][id*="i-onion2"] {
    width: calc(3% * 1.818) !important;
}

#i-carrot2 {
    width: 4% !important;
}
img[id^="x-"][id*="i-carrot2"] {
    width: calc(4% * 1.818) !important;
}

#i-cucumber2 {
    width: 3% !important;
}
img[id^="x-"][id*="i-cucumber2"] {
    width: calc(3% * 1.818) !important;
}

#i-bananas2 {
    width: 4% !important;
}
img[id^="x-"][id*="i-bananas2"] {
    width: calc(4% * 1.818) !important;
}

#i-corn2 {
    width: 3% !important;
}
img[id^="x-"][id*="i-corn2"] {
    width: calc(3% * 1.818) !important;
}

#i-lettuce2 {
    width: 3% !important;
}
img[id^="x-"][id*="i-lettuce2"] {
    width: calc(3% * 1.818) !important;
}

#i-potato2 {
    width: 4% !important;
}
img[id^="x-"][id*="i-potato2"] {
    width: calc(4% * 1.818) !important;
}

#i-lemon2 {
    width: 3% !important;
}
img[id^="x-"][id*="i-lemon2"] {
    width: calc(3% * 1.818) !important;
}
/* ############################################################### */
/* ############################################################### */

#shareMessage {
    display: none;
    position: absolute;
    z-index: 20000;
    width: 100%;
    height: 100vh;
    background-color: rgba(30, 30, 30, 0.7);
    opacity: 0;
    align-items: center;
    transition: opacity 0.5s ease;
    -webkit-transition-timing-function:
        cubic-bezier(0.639, 0.222, 0.906, 0.7);
    -moz-transition-timing-function:
        cubic-bezier(0.639, 0.222, 0.906, 0.7);
        cursor: pointer;
}

#shareMessage h1 {
    width: 80%;
    margin: 0 auto;
}

@media (max-width: 1400px) {
    #starting {
        background-image: url('./assets/background-starting-tablet.webp');
    }

    #starting .text {
        margin: 10% 0 0 0;
    }

    h1 {
        font-size: 2rem;
        line-height: 3rem;
    }

    h6 {
        font-size: 0.7rem;
        bottom: 2%;
    }

    .logo1 {
        width: 150px;
        left: 50px;
        bottom: 20px;
    }

    .logo2 {
        width: 150px;
        left: 250px;
        bottom: 20px;
    }
}


@media (max-width: 1025px) {
    #starting {
        background-image: url('./assets/background.png');
    }

    #starting .text {
        margin: 0 !important;
        width: 80%;
        text-align: center;
        z-index: 10;
    }

    .title-mobile {
        display: block;
        width: 100%;
        max-width: 500px;
        margin: 0 auto;
    }

    h1 {
        margin-top: 30px;
        margin-bottom: 30px;
        font-size: 1.3rem;
        line-height: 1.5rem;
    }

    button {
        margin: 30px auto 30px auto;
        float: none;
        font-size: 1.2rem;
        padding: 7px 50px 6px 50px;
    }

    .logo1 {
        width: 100px;
        left: 50px;
        bottom: 20px;
    }

    .logo2 {
        width: 100px;
        left: unset;
        right: 50px;
        bottom: 20px;
    }

    h5 {
        display: block;
        text-align: center;
        font-family: "MyriadPro", sans-serif;
        color: white;
        font-size: 0.9rem;
        margin: 0;
    }

    h6 {
        font-size: 0.4rem;
        bottom: 1%;
    }
}